gnutls_utf8_password_normalize(3)

NAME
gnutls_utf8_password_normalize - API function

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_utf8_password_normalize(const unsigned char * password, unsigned plen, gnutls_datum_t * out, unsigned flags);

ARGUMENTS

const unsigned char * password
    contain the UTF-8 formatted password

unsigned plen
    the length of the provided password

gnutls_datum_t * out
    the result in an null-terminated allocated string

unsigned flags
    should be zero

DESCRIPTION
This function will convert the provided UTF-8 password according to the normalization rules in RFC7613. If the flag GNUTLS_UTF8_IGNORE_ERRS is specified, any UTF-8 encoding errors will be ignored, and in that case the output will be a copy of the input.

RETURNS
GNUTLS_E_INVALID_UTF8_STRING on invalid UTF-8 data, or 0 on success.

SINCE
3.5.7

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/